clang 10.0.0git

Classes | Namespaces | Typedefs | Functions
Integral.h File Reference
`#include "clang/AST/ComparisonCategories.h"`
`#include "clang/AST/APValue.h"`
`#include "llvm/ADT/APSInt.h"`
`#include "llvm/Support/MathExtras.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <cstddef>`
`#include <cstdint>`
Include dependency graph for Integral.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::interp::Repr< Bits, Signed >
struct | clang::interp::Repr< 8, false >
struct | clang::interp::Repr< 16, false >
struct | clang::interp::Repr< 32, false >
struct | clang::interp::Repr< 64, false >
struct | clang::interp::Repr< 8, true >
struct | clang::interp::Repr< 16, true >
struct | clang::interp::Repr< 32, true >
struct | clang::interp::Repr< 64, true >
class | clang::interp::Integral< Bits, Signed >
| Wrapper around numeric types. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::interp

## Typedefs
using | clang::interp::APInt = llvm::APInt
using | clang::interp::APSInt = llvm::APSInt

## Functions
template<typename T >
ComparisonCategoryResult | clang::interp::Compare (const T &X, const T &Y)
| Helper to compare two comparable types. More...
template<unsigned Bits, bool Signed>
llvm::raw_ostream & | clang::interp::operator<< (llvm::raw_ostream &OS, Integral< Bits, Signed > I)